package org.dspace.newsletter;


import java.util.Date;
import java.text.SimpleDateFormat;

import org.dspace.core.ConfigurationManager;

import org.apache.log4j.Logger;



public class IndexItem {
    
    private Date fecha;
    private String path;
    private String contenido;
    public static final String FECHA = "fecha";
    public static final String PATH = "path";
    public static final String CONTENIDO = "contenido";

    private static final Logger log = Logger.getLogger(IndexItem.class);
    
    
    public IndexItem(Date fecha, String path, String contenido) {  
	this.fecha = fecha;
	this.path = path;
	this.contenido = contenido;
    }

    
    public Date getFecha() {  
	return fecha;  
    }

    
    public String getPath() {  
	return path;  
    }

    
    public String getContenido() {  
	return contenido;  
    }
    
    
    @Override  
    public String toString() {  
	SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
	return sdf.format(fecha);
    }
  
}